Skip to navigation

List

Lists owner-scoped invoice line items with attached invoices expanded. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (InvoiceLineItemListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by.
sort_orderenumOptional
Sort order.
Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_invoice_typeslist of enums or nullOptional
Filter by one or more invoice types.
Allowed values:
filter_currency_codeslist of enums or nullOptional
Filter by one or more currency codes.
filter_line_item_typeslist of enums or nullOptional
Filter by one or more line item types.
filter_unitslist of enums or nullOptional
Filter by one or more units.
filter_counterparty_org_idstring or nullOptional

Filter by an on-CHRT counterparty organization.

filter_counterparty_off_chrt_org_data_idstring or nullOptional

Filter by off-CHRT counterparty organization data.

filter_counterparty_driver_idstring or nullOptional
Filter by a driver counterparty.
filter_shipper_account_idstring or nullOptional
Filter by an associated shipper account.
filter_invoice_idstring or nullOptional
Filter by an attached invoice.
filter_is_invoicedboolean or nullOptional
Filter by whether a line item is attached to an invoice.
filter_order_idstring or nullOptional
Filter by an attributed order.
filter_task_group_idstring or nullOptional
Filter by an attributed task group.
filter_created_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter by created_at_timestamp greater than or equal.

filter_created_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter by created_at_timestamp less than or equal.

filter_last_edited_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter by last_edited_at_timestamp greater than or equal.

filter_last_edited_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter by last_edited_at_timestamp less than or equal.

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Unprocessable Entity Error